# <img src="https://raw.githubusercontent.com/Gamemode4Dev/GM4_Datapacks/master/base/images/gm4_logo.png" alt="GM4 Logo" width="32" /> Desire Lines by Gamemode 4

Ever felt like minecraft could do with a bit more immersion? This modular data pack adds a new cool interaction to your survival world in the form of self generating paths! When you walk between two places enough, a desire line will form transforming your grass into coarse dirt all on its own! 

<img src="https://raw.githubusercontent.com/Gamemode4Dev/GM4_Datapacks/master/gm4_desire_lines/images/desire_line.png" alt="A natural desire line" height="350"/>   

### Features
- When grass or dirt is stepped on it has a chance of turning into dirt or coarse dirt respectively.
- Flowers, grass and other plants will be trampled and break if walked on enough.
- Adds two new custom advancements to be obtained by trampling enough blocks.

### Compatability 
When playing with other Gamemode 4 data packs, adds some bonus features:
- Adds the Celaro shamir when used with the [Metallurgy](https://gm4.co/modules/metallurgy) data pack.
- Use the [Boots of Ostara](https://gm4.co/modules/boots-of-ostara) data pack to spread nature instead of trampling it.

### More Info
[<img src="https://raw.githubusercontent.com/Gamemode4Dev/GM4_Datapacks/master/base/images/youtube_logo.png" alt="Youtube Logo" width="40" align="center"/> **Watch on Youtube**](https://www.youtube.com/watch?v=wmGaatfekfs)

[<img src="https://raw.githubusercontent.com/Gamemode4Dev/GM4_Datapacks/master/base/images/gm4_wiki_logo.png" alt="Gamemode 4 Wiki Logo" width="40" align="center"/> **Read the Wiki**](https://wiki.gm4.co/wiki/Desire_Lines)

### Credits
- Creator: [Sparks](https://twitter.com/SelcouthSparks)
- Updated by: [SpecialBuilder32](https://twitter.com/SpecialBuilder), [Misode](https://twitter.com/misode_), [Andante](https://twitter.com/andantett)
- Icon Design: JonPot

---
## About Gamemode 4 <img src="https://raw.githubusercontent.com/Gamemode4Dev/GM4_Datapacks/master/base/images/gm4_logo.png" alt="Gamemode 4 Logo" width="20"/>
Gamemode 4 is a series of command-powered creations that are designed to change and enhance the survival experience. All of our modules are designed to work together flawlessly, and are balanced for usage in a survival setting. Pick and choose your favorites from our [website](https://gm4.co), or wherever you get datapacks.